Package org.eclipse.jdt.core

## Interface IElementChangedListener

All Known Implementing Classes:
  `JavaElementContentProvider`

    public interface IElementChangedListener

An element changed listener receives notification of changes to Java elements maintained by the Java model.

This interface may be implemented by clients.

See Also:
  `JavaCore.addElementChangedListener(IElementChangedListener)`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `elementChanged​(ElementChangedEvent event)` Notifies that one or more attributes of one or more Java elements have changed.

### Method Detail

#### elementChanged

    void elementChanged​(ElementChangedEvent event)

Notifies that one or more attributes of one or more Java elements have changed. The specific details of the change are described by the given event.

Parameters:
  `event` - the change event